<?php
$partner=array();
$helper = $this->helper('Webkul\Marketplace\Helper\Data');
$partner=$block->getProfileDetail();
$seller_id=$partner['seller_id'];
$shoptitle = $partner->getShopTitle();
if(!$shoptitle){
	$shoptitle = $partner->getShopUrl();
}
if($helper->getActiveColorPicker()){?> 
    <style>
    .page-main{background-image:none;background-color:<?php echo $partner['background_width'];?>;}
    </style>
<?php
} ?>
<div class="wk-mp-design">
	<div class="wk-mp-design-inner wk-mp-design-inner-last">
		<div class="wk-mp-profile-container storename">
			<div class="h3 text-primary">
				<?php echo __("About %1",$shoptitle) ?>
			</div>
		</div>
		<span class="data"><?php echo $partner['company_description'];?></span>
		<div class="wk-mp-profile-container storename wk-mp-display-block-css">
			<div class="h4 text-primary">
				<?php echo __("On the Social Web") ?>
			</div>
			<?php 
			if($partner->getInstagramActive()){ ?>			
				<a href="//instagram.com/<?php echo $partner->getInstagramId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-instagram" title="<?php echo __('Check in Instagram')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getPinterestActive()){ ?>
				<a href="//www.pinterest.com/jokestuffs/<?php echo $partner->getPinterestId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-pinterest" title="<?php echo __('Check in Pinterest')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getFbActive()){ ?>
				<a href="//facebook.com/<?php echo $partner->getFacebookId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-fb" title="<?php echo __('Check in Facebook')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getTwActive()){ ?>
				<a href="//twitter.com/<?php echo $partner->getTwitterId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-tw" title="<?php echo __('Check in Twitter')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getGplusActive()){ ?>
				<a href="//plus.google.com/<?php echo $partner->getGplusId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-gplus" title="<?php echo __('Check in Google+')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getVimeoActive()){ ?>
				<a href="//vimeo.com/<?php echo $partner->getVimeoId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-vimeo" title="<?php echo __('Check in Vimeo')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getYoutubeActive()){ ?>
				<a href="//www.youtube.com/user/<?php echo $partner->getYoutubeId();?>" target="blank">
					<span class="wk-social-icon wk-icon wk-social-icon-utube" title="<?php echo __('Check in Youtube')?>"></span>
				</a>
			<?php 
			} ?>
			<?php 
			if($partner->getMoleskineActive()){ ?>
			<a href="//moleskine.com/<?php echo $partner->getMoleskineId();?>" target="blank">
				<span class="wk-social-icon wk-icon wk-social-icon-moleskin" title="<?php echo __('Check in Moleskine')?>"></span>
			</a>
			<?php 
			} ?>
		</div>
	</div>
</div>	

<div class="wk-mp-design">
	<div class="wk-mp-design-inner wk-mp-design-inner-last">
		<div class="wk-mp-profile-container storename">
			<div class="h3 text-primary">
				<?php echo __("Recently Added Products") ?>
			</div>
		</div>
              <?php
    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $scopeConfig = $objectManager->create('Magento\Framework\App\Config\ScopeConfigInterface');
    $configEnabled = 'bareq/theme_colors/colors_enabled';
    $enabled = $scopeConfig->getValue(
            $configEnabled, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );

    ?>
    <?php if ($enabled): ?>
        <?php
        $configMainColor = 'bareq/theme_colors/main_color';
        $mainColor = $scopeConfig->getValue(
                $configMainColor, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
        ?>
    <?php endif; ?>
			<?php
			$products=$block->getBestsellProducts();
            $_helper = $this->helper('Magento\Catalog\Helper\Output');
            $viewMode = 'grid';
            $image = 'category_page_grid';
            $showDescription = false;
            $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
            ?>
                    <?php /** @var $_product \Magento\Catalog\Model\Product */ ?>
            <div class="row nx-clearfix-container show2elm ">
                    <?php foreach ($products as $_product): ?>
              <div class="col-md-6 col-sm-6 col-xs-6">
            <div class="nx-product bareq-wbkl-product">
                    <?php
                $om = \Magento\Framework\App\ObjectManager::getInstance();
                $pdata = $om->create('Magento\Catalog\Model\Product')->load($_product->getId());
                $_finalPrice = $pdata->getData('special_price');
                $_price = $pdata->getData('price');
                if ($_finalPrice && $_price && ($_price > $_finalPrice)):
                    ?>

                    <div class="product-discount">
                        <span> <?php echo __('Off'); ?></span>
                        <br>
                        <span><?php
                            $_savePercent = (($_price - $_finalPrice ) / $_price ) * 100;

                            echo round($_savePercent) . '%';
                            ?></span>
                    </div>
                <?php endif; ?>
                                     <figure class="product-figure nx-product-img">
                                   <?php
                            $productImage = $block->getImage($_product, $image);
                            ?>
                            <?php // Product Image ?>
                                <?php echo $productImage->toHtml(); ?>
                                </figure>
								<div class="nx-product-details nx-product-name">
                   <div class="product-desc">
                                     <a href="<?php /* @escapeNotVerified */ echo $_product->getProductUrl() ?>" class="product-name-link">
                                        <span><?php echo $_product->getName() ?></span>       
                                    </a>
                                </div>
                   <div class="product-price nx-product-price">
                                    <?php /* @escapeNotVerified */ echo $block->getProductPrice($_product) ?>
                                </div>
            </div>

			<div class="bareq-wbkl-product-btn-wrap">
				                            <a data-style='zoom-in'
                                               href="<?php /* @escapeNotVerified */ echo $_product->getProductUrl() ?>"
                                               data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'
                                                class="goto-product ladda-button btn btn-primary">
                                                <span class=" "><?php /* @escapeNotVerified */ echo __('View Details'); ?></span>
                                                <i class="my-icon eye"></i>
                                            </a>
			</div>

               
                          
                            </div>
                        </div>
                <div class="nx-clearfix clearfix"></div>
                    <?php endforeach; ?>
            </div>
	</div>
	<?php
	if($helper->getSellerPolicyApproval()){?>		
		<div class="wk-mp-design-inner wk-mp-design-inner-last">
			<div class="wk-mp-profile-container storename" id="return-policy">
				<div class="h3 text-primary">
					<?php echo __("Return Policies") ?>
				</div>
			</div>
			<div>
				<div class="wk-mp-detail">		
					<div class="row">
						<span class="data"><?php echo $partner['return_policy'];?></span>		
					</div>
				</div>
				<a href="#" class="wk-top-page"><?php echo __("Top of Page")?></a>
			</div>
			<div class="wk-mp-profile-container storename" id="shipping-policy">
				<div class="h3 text-primary">
					<?php echo __("Shipping Policies") ?>
				</div>
			</div>
			<div>
				<div class="wk-mp-detail">		
					<div class="row">
						<span class="data"><?php echo $partner['shipping_policy'];?></span>		
					</div>
				</div>
				<a href="#" class="wk-top_page"><?php echo __("Top of Page")?></a>
			</div>
		</div>
	<?php
	} ?>
</div>